{
===============================================================================
  Copyright (©) 2001. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 01-10-2001
  Versión actual: 1.0.3
  Fecha versión actual: 26-04-2004
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
    07-04-2002    Se ha adaptado a una unica transacción.

    12-05-2002    Adaptación al grid 'TdxDBGrid'.

    26-04-2004    Al hacer doble click sobre el grid, se seleccionará la
                  población automáticamente.
===============================================================================
}

unit Provincias;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RdxFrameProvincias, Db, RdxBotones, RdxBarras, Grids, DBGrids, RXDBCtrl,
  ExtCtrls, RdxPaneles, IBCustomDataSet, IBQuery, BaseDatos,
  dxCntner, dxTL, dxDBCtrl, dxDBGrid;

type
  TfrProvincias = class(TRdxFrameProvincias)
    BarraProvincias: TRdxBarraSuperior;
    PanelPrincipal: TPanel;
    brSeleccion: TRdxBarraInferior;
    bSeleccionar: TRdxBoton;
    bCancelar: TRdxBoton;
    dsProvincias: TDataSource;
    gridProvincias: TdxDBGrid;
    procedure bSeleccionarClick(Sender: TObject);
    procedure bCancelarClick(Sender: TObject);
    procedure gridProvinciasDblClick(Sender: TObject);
  protected
    procedure BuscarProvincia; override;
  public
    constructor Create (AOwner : TComponent); override;
    destructor Destroy; override;
  published
    property TablaProvincias;
    property Entidad;
  end;

var
  frProvincias: TfrProvincias;

implementation

{$R *.DFM}
uses
  Mensajes, Configuracion, IB, IBDatabase, Tipos, TablaProvincias;

constructor TfrProvincias.Create (AOwner : TComponent);
begin
  inherited Create(AOwner);
  Entidad := entProvincias;
  ConfigurarFrame(Self, Self.Entidad);

  BaseDatos := dmBaseDatos.BD;
  Transaccion := dmBaseDatos.Transaccion;
  TablaProvincias := TIBDataSet.Create(Self);
  dsProvincias.DataSet := TablaProvincias;

  with TablaProvincias do
  begin
    Database := BaseDatos;
    Transaction := Transaccion;
    SelectSQL.Assign(dmTablaProvincias.sqlGrid);
    Prepare;
    Open;
  end;
  dmTablaProvincias.InicializarGridProvincias(gridProvincias);
end;

procedure TfrProvincias.bSeleccionarClick(Sender: TObject);
begin
  inherited;
  CodigoProvincia := TablaProvincias.FieldByName('CODIGO').Value;
  CloseFrame;
end;

destructor TfrProvincias.Destroy;
begin
  TablaProvincias.Close;
  TablaProvincias.UnPrepare;
  TablaProvincias.Free;
  inherited;
end;

procedure TfrProvincias.bCancelarClick(Sender: TObject);
begin
  CloseFrame;
end;

procedure TfrProvincias.BuscarProvincia;
begin
  TablaProvincias.Close;
  TablaProvincias.Open;
  TablaProvincias.Locate('CODIGO', CodigoProvincia, []);
end;


procedure TfrProvincias.gridProvinciasDblClick(Sender: TObject);
begin
  bSeleccionar.Click;
end;

end.
